Download it now!
Bug 127955 - Crash when opening Insert Fields in Writer
Summary: Crash when opening Insert Fields in Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0.1 target:6.5.0 target:6.3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-03 17:27 UTC by Olivier Hallot
Modified: 2019-12-09 20:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SvListView::SelectListEntry(SvTreeListEntry%20*,bool)"]


Attachments
traceback (28.32 KB, text/plain)
2019-10-03 17:27 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-10-03 17:27:12 UTC
Created attachment 154739 [details]
traceback

On opening the Insert > Fields > More Fields, LO crashes.

I was editing a template (ott).

Traceback attached

Versão: 6.3.2.2
ID de compilação: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
Threads da CPU:8; SO:Linux 5.0; Realizador da interface: GL; VCL: kde5; 
Local: pt-BR (pt_BR.UTF-8); Idioma de IU: pt-BR
Calc: threaded
Comment 1 Eoin Joseph 2019-10-04 04:53:12 UTC Comment hidden (spam)
Comment 2 Gerhard Weydt 2019-12-02 21:30:19 UTC
I can confirm this on Windows:
Version: 6.3.3.2 (x64)
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

So I deleted the restriction to Kubuntu in the title

It still works in 6.2.3.2

A crash report is to be found in:
crashreport.libreoffice.org/stats/crash_details/04e63ac7-7894-494b-a6ea-cafca1700a9a
Comment 3 Xisco Faulí 2019-12-04 16:24:15 UTC
I can't reproduce it in

Versión: 6.3.3.2 (x86)
Id. de compilación: a64200df03143b798afd1ec74a12ab50359878ed
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

@Gerhard Weydt, does it happen with a specific document or with any document? What happens in safe mode ?
Comment 4 Gerhard Weydt 2019-12-04 20:21:34 UTC
The crash happened and still happens with a newly created document, and also when thos document was saved and opened again, and also with that document when some paragraphs were added.
It does not happen, though, with a document opened with 6.3.3.2 that was created in June 2019, where I most probably hadn't installed 6.3 yet (the folders in LibreOffice all have date 2019-11-11). And it does not happen with a newly created document when I had started LibO in safe mode.
For myself, I see no clear sign that points to the user profile or the version, but you might see more. Ask me again for for further testing, if necessary.
Comment 5 Xisco Faulí 2019-12-05 16:35:38 UTC
Definitely related to https://crashreport.libreoffice.org/stats/signature/SvListView::SelectListEntry(SvTreeListEntry%20*,bool)

@Olivier, @Gerhard Weydt, could you please check if https://gerrit.libreoffice.org/#/c/84573/ fixes this issue ?
Comment 6 Gerhard Weydt 2019-12-05 16:47:01 UTC
Im sorry to have to say that I have no idea how to check that. I fear it means puting the patch somwhere into the code and then compiling. That goes far byond my knowledge.
Comment 7 Commit Notification 2019-12-06 10:07:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/144ce9fc0e189d6bc117c46ce10fb84ecbd59e18

tdf#127955 check if position stored in user config is in range for the treeview

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-06 10:35:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/496716a8709aa53eb8705938821e6cf25f6b5edf

tdf#127955 check if position stored in user config is in range for the treeview

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2019-12-06 10:37:28 UTC
(In reply to Gerhard Weydt from comment #6)
> Im sorry to have to say that I have no idea how to check that. I fear it
> means puting the patch somwhere into the code and then compiling. That goes
> far byond my knowledge.

No problem,
the patch has been submitted to master. Could you please try wit ha daily build  from http://dev-builds.libreoffice.org/daily/master/ ?
Please, take into account a new daily builds needs to be created, thus, wait until tomorrow or the day after for downloading it
Comment 10 Commit Notification 2019-12-06 13:52:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/94c634aac1e9ebd515cdcecb5c9920181b9e22fd

tdf#127955 check if position stored in user config is in range for the treeview

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2019-12-06 14:28:23 UTC
I imagine that will fix it
Comment 12 Xisco Faulí 2019-12-09 12:46:35 UTC
(In reply to Xisco Faulí from comment #9)
> (In reply to Gerhard Weydt from comment #6)
> > Im sorry to have to say that I have no idea how to check that. I fear it
> > means puting the patch somwhere into the code and then compiling. That goes
> > far byond my knowledge.
> 
> No problem,
> the patch has been submitted to master. Could you please try wit ha daily
> build  from http://dev-builds.libreoffice.org/daily/master/ ?
> Please, take into account a new daily builds needs to be created, thus, wait
> until tomorrow or the day after for downloading it

Hi Gerhard Weydt,
It seems no daily build have been created in the last week.
Instead, you can test the fix with https://dev-builds.libreoffice.org/daily/libreoffice-6-4/Linux-rpm_deb-x86_64@86-TDF/
Comment 13 Gerhard Weydt 2019-12-09 18:29:30 UTC
Hi Xisco,

I am using Windows, and there is only Linux. So I cn't test it now, we will have to wait. if not Olivier does the testing.
Comment 14 Xisco Faulí 2019-12-09 18:31:50 UTC
(In reply to Gerhard Weydt from comment #13)
> Hi Xisco,
> 
> I am using Windows, and there is only Linux. So I cn't test it now, we will
> have to wait. if not Olivier does the testing.

Oh, I thought you were on Linux, then you can use https://dev-builds.libreoffice.org/daily/master/Win-x86_64@tb77-TDF/current/
Comment 15 Gerhard Weydt 2019-12-09 19:05:42 UTC
It works again in
Version: 6.5.0.0.alpha0+ (x64)
Build-ID: 5f40fa6f29a2a51a5f843f7a92d57721e1b8d540
CPU-Threads: 4; BS: Windows 10.0 Build 17134; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded
Comment 16 Xisco Faulí 2019-12-09 20:52:35 UTC
(In reply to Gerhard Weydt from comment #15)
> It works again in
> Version: 6.5.0.0.alpha0+ (x64)
> Build-ID: 5f40fa6f29a2a51a5f843f7a92d57721e1b8d540
> CPU-Threads: 4; BS: Windows 10.0 Build 17134; UI-Render: Standard; VCL: win; 
> Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
> Calc: threaded

Thanks for checking. Setting to VERIFIED then.